<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.infinispan.cache-container.scattered-cache.store.mixed-jdbc.table.binary">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="prefix,fetch-size,id-column,data-column,timestamp-column,batch-size"/>
        <elem name="addr-params" value="profile,subsystem,cache-container,scattered-cache,store,table"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <refs>
        <ref feature="subsystem.infinispan.cache-container.scattered-cache.store.mixed-jdbc"/>
        <ref feature="subsystem.infinispan.cache-container.scattered-cache"/>
        <ref feature="subsystem.infinispan.cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="batch-size" nillable="true"/>
        <param name="prefix" nillable="true"/>
        <param name="id-column" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" feature-id="true"/>
        <param name="fetch-size" nillable="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="timestamp-column" nillable="true"/>
        <param name="store" feature-id="true" default="mixed-jdbc"/>
        <param name="scattered-cache" feature-id="true"/>
        <param name="data-column" nillable="true"/>
        <param name="table" feature-id="true" default="binary"/>
    </params>
</feature-spec>